HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Available Tariff Rate Plans for an Account with {providerAccountId}

Retrieve available tariff rate plans for an account using your providerAccountId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve available tariff rate plans for an account using your providerAccountId.

Use this endpoint when you identify accounts with your own IDs. To retrieve available tariff rate plans using the Arcadia-generated account identifier, use Get Available Tariff Rate Plans with accountId.

The account must have a valid address with zip populated, and it must have customerClass set.

Resource URI

GET /rest/v1/accounts/pid/{providerAccountId}/tariffs

Path parameters

ParameterTypeDescription
providerAccountIdStringYour unique identifier for the Account object. Required.

Common query parameters

ParameterTypeDescription
effectiveOnDateOnly return tariffs effective on this date. Optional.
openOnDateOnly return tariffs open to new customers on this date. Optional.
populateRatesBooleanWhen true, includes rate details for returned tariffs. Defaults to false. Optional.
populateDocumentsBooleanWhen true, includes document links for returned tariffs. Defaults to false. Optional.
hasNetMeteringBooleanFilter by whether tariffs have net metered rates. Optional.
hasTimeOfUseRatesBooleanFilter by whether tariffs have time-of-use rates. Optional.
hasTieredRatesBooleanFilter by whether tariffs have tiered rates. Optional.
hasContractedRatesBooleanFilter by whether tariffs have contracted rates. Optional.
filterByApplicabilityBooleanWhen true, filters results by applicability properties. Optional.
applicabilityFilters[solarPvEligible]BooleanFilter by the solarPvEligible applicability property. Use with filterByApplicability=true. Optional.
fieldsStringUse min for minimum fields or ext for extended fields. Optional.
bundleRatesBooleanWhen true, returns summarized rates for residential tariffs. Defaults to false. Optional.

For the full data model, account tariff workflow, tariff assignment behavior, and detailed examples, see Account Tariffs API.

Example

GET /rest/v1/accounts/pid/api-eg-008/tariffs

A successful response returns a standard response payload with type set to Tariff and results containing available tariff rate plans.

{
  "status": "success",
  "count": 1,
  "type": "Tariff",
  "results": [
    {
      "tariffId": 3155887,
      "masterTariffId": 522,
      "tariffCode": "E-1",
      "tariffName": "Residential",
      "lseId": 734,
      "lseName": "Pacific Gas & Electric Co",
      "customerClass": "RESIDENTIAL",
      "effectiveDate": "2013-01-01",
      "isActive": true
    }
  ]
}
Path Params
string
required

This is your unique identifier chosen to represent the Account object.

Query Params
date

Only tariffs that are effective on this date.

date

Only tariffs that were open (i.e. were not closed to new customers) on this date.

boolean
Defaults to false

Populates the rate details for the returned tariffs. Note this incurs unique tariff usage per MTID in the response when true.

boolean
Defaults to false

Populates the document links for the returned tariffs. Note this incurs unique tariff usage per MTID in the response when true.

boolean

Return tariffs which have or do not have any net metered tariff rates.

boolean

Return tariffs which have or do not have any time-of-use rates.

boolean

Return tariffs which have or do not have any tiered rates.

boolean

Return tariffs which have or do not have any contracted rates.

boolean

Applies a rule that results should also be filtered by applicability (i.e., additional eligibility properties).

boolean

The APPLICABILITY typed property you want to filter by (example [solarPvEligible]). Note this must be used in concert with filterByApplicability=true.

string

Controls the granularity of returned response fields. Blank returns the most common fields needed for key actions. Supplying a value of min will only return a subset of fields, and ext will return all publicly available fields.

boolean

When true (false by default) the returned rates are summarized (bundled). Note that this only works for tariffs with a customerClass of RESIDENTIAL.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json